Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
Java Plugin (H5PL) Interface

## Detailed Description

See also
  Dynamically-loaded Plugins (H5PL), C-API
  HDF5 Plugins, User Guide

## Functions
static synchronized native void | H5PLappend (String plugin_path) throws HDF5LibraryException
static synchronized native String | H5PLget (int index) throws HDF5LibraryException
static synchronized native int | H5PLget_loading_state () throws HDF5LibraryException
static synchronized native void | H5PLinsert (String plugin_path, int index) throws HDF5LibraryException
static synchronized native void | H5PLprepend (String plugin_path) throws HDF5LibraryException
static synchronized native void | H5PLremove (int index) throws HDF5LibraryException
static synchronized native void | H5PLreplace (String plugin_path, int index) throws HDF5LibraryException
static synchronized native void | H5PLset_loading_state (int plugin_flags) throws HDF5LibraryException
static synchronized native int | H5PLsize () throws HDF5LibraryException

## Function Documentation

## ◆ H5PLappend()

synchronized native void H5PLappend | ( | String | plugin_path | ) | throws HDF5LibraryException
| static

H5PLappend inserts the plugin path at the end of the table.

Parameters

  plugin_path | IN: Path for location of filter plugin libraries.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLget()

synchronized native String H5PLget | ( | int | index | ) | throws HDF5LibraryException
| static

H5PLget retrieves the plugin path at the specified index.

Parameters

  index | IN: The table index (0-based).

Returns
  the current path at the index in plugin path table

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLget_loading_state()

synchronized native int H5PLget_loading_state | ( |  | ) | throws HDF5LibraryException
| static

H5PLget_loading_state retrieves the state of the dynamic plugins flag, plugin_flags..

Returns
  the list of dynamic plugin types that are enabled or disabled. A plugin bit set to 0 (zero) indicates that that dynamic plugin is disabled. A plugin bit set to 1 (one) indicates that that dynamic plugin is enabled. If the value of plugin_flags is negative, all dynamic plugins are enabled. If the value of plugin_flags is 0 (zero), all dynamic plugins are disabled.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLinsert()

synchronized native void H5PLinsert | ( | String | plugin_path,
|  | int | index ) throws HDF5LibraryException
| static

H5PLinsert inserts the plugin path at the specified index.

Parameters

  plugin_path | IN: Path for location of filter plugin libraries.
  index | IN: The table index (0-based).

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLprepend()

synchronized native void H5PLprepend | ( | String | plugin_path | ) | throws HDF5LibraryException
| static

H5PLprepend inserts the plugin path at the beginning of the table.

Parameters

  plugin_path | IN: Path for location of filter plugin libraries.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLremove()

synchronized native void H5PLremove | ( | int | index | ) | throws HDF5LibraryException
| static

H5PLremove removes the plugin path at the specified index.

Parameters

  index | IN: The table index (0-based).

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLreplace()

synchronized native void H5PLreplace | ( | String | plugin_path,
|  | int | index ) throws HDF5LibraryException
| static

H5PLreplace replaces the plugin path at the specified index.

Parameters

  plugin_path | IN: Path for location of filter plugin libraries.
  index | IN: The table index (0-based).

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLset_loading_state()

synchronized native void H5PLset_loading_state | ( | int | plugin_flags | ) | throws HDF5LibraryException
| static

H5PLset_loading_state uses one argument to enable or disable individual plugins. The plugin_flags parameter is an encoded integer in which each bit controls a specific plugin or class of plugins. A plugin bit set to 0 (zero) prevents the use of the dynamic plugin corresponding to that bit position. A plugin bit set to 1 (one) allows the use of that dynamic plugin. All dynamic plugins can be enabled by setting plugin_flags to a negative value. A value of 0 (zero) will disable all dynamic plugins.

H5PLset_loading_state inspects the HDF5_PLUGIN_PRELOAD environment variable every time it is called. If the environment variable is set to the special :: string, all dynamic plugins will be disabled.

Parameters

  plugin_flags | IN: The list of dynamic plugin types to enable or disable. A plugin bit set to 0 (zero) prevents use of that dynamic plugin. A plugin bit set to 1 (one) enables use of that dynamic plugin. Setting plugin_flags to a negative value enables all dynamic plugins. Setting plugin_flags to 0 (zero) disables all dynamic plugins.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5PLsize()

synchronized native int H5PLsize | ( |  | ) | throws HDF5LibraryException
| static

H5PLsize retrieves the size of the current list of plugin paths.

Returns
  the current number of paths in the plugin path table

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.